import React, { useContext, useState } from 'react'
import useCollection from '../hook/use-collection'
import useClient from '../hook/use-client'

const Context = React.createContext({})

export function useProvider () {
  return useContext(Context)
}

export function Provider (props = {}) {
  const client = useClient()
  const [selectedCollection, selectCollection] = useState(null)
  const collection = useCollection(selectedCollection)
  const currentContext = {
    client,
    collection,
    selectCollection
  }
  const previousContext = useProvider()
  const context = Object.assign({}, currentContext, previousContext)
  return (
    <Context.Provider value={context}>
      {props.children}
    </Context.Provider>
  )
}

export default Provider
