import React from 'react'
import { ChakraProvider } from '@chakra-ui/react'
import { HashRouter as Router } from 'react-router-dom'

import { createTheme } from '../theme'

export default function Wrapper (props) {
  const { children } = props
  const theme = createTheme()

  return (
    <ChakraProvider theme={theme}>
      <Router>
        {children}
      </Router>
    </ChakraProvider>
  )
}
